summaryrefslogtreecommitdiffstats
path: root/audio/herrie/herrie.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:47 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:47 +0200
commit0720ba2b2888995dd750f9f21ecb9d03084cc0b2 (patch)
tree23523eec3e8a5820e9c27ba17af6435fc3a87c77 /audio/herrie/herrie.SlackBuild
parentf644b1ad3f26640a1fd20dbf86ebcc6983fb5dff (diff)
downloadslackbuilds-0720ba2b2888995dd750f9f21ecb9d03084cc0b2.tar.gz
slackbuilds-0720ba2b2888995dd750f9f21ecb9d03084cc0b2.tar.xz
audio/herrie: Moved from multimedia
Diffstat (limited to 'audio/herrie/herrie.SlackBuild')
-rw-r--r--audio/herrie/herrie.SlackBuild128
1 files changed, 128 insertions, 0 deletions
diff --git a/audio/herrie/herrie.SlackBuild b/audio/herrie/herrie.SlackBuild
new file mode 100644
index 0000000000..00adeafb19
--- /dev/null
+++ b/audio/herrie/herrie.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+# Slackware build script for herrie
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=herrie
+VERSION=${VERSION:-2.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+########################
+# Experimental Patches #
+#
+# I have found these to be stable on my systems,
+# and they might be included in future upstream
+# sources, but for now you use these at your own risk.
+#
+# Please read README.SBo for more information on the
+# functionality that these patches add.
+AUTOQUIT=${AUTOQUIT:-NO}
+SIGNALS=${SIGNALS:-NO}
+FILTER=${FILTER:-NO}
+########################
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$AUTOQUIT" == "YES" ]; then
+ patch -p2 < $CWD/patches/herrie-autoquit.diff
+fi
+
+if [ "$SIGNALS" == "YES" ]; then
+ patch -p2 < $CWD/patches/herrie-2.1-signals.diff
+fi
+
+if [ "$FILTER" == "YES" ]; then
+ if [ "$AUTOQUIT" == "YES" ]; then
+ patch -p2 < $CWD/patches/herrie-2.1-filters.diff
+ else
+ patch -p2 < $CWD/patches/herrie-2.1-filters-orig.diff
+ fi
+fi
+
+####################CONFIG OPTIONS###########################
+#no_http Disable support for HTTP audio streams
+#no_modplug Disable libmodplug linkage
+#no_mp3 Disable MP3 audio file support
+#no_nls Disable native language support
+#no_scrobbler Disable AudioScrobbler support
+#no_sndfile Disable libsndfile linkage (Wave/FLAC support)
+#no_vorbis Disable Ogg Vorbis support
+#no_xspf Disable XSPF playlist support
+
+#alsa Use ALSA audio output
+#ao Use libao audio output
+#coreaudio Use Apple CoreAudio audio output
+#oss Use Open Sound System output
+#null Use placeholder audio output
+#pulse Use PulseAudio audio output
+
+#ncurses Use ncurses instead of ncursesw (breaks UTF-8 support)
+#xcurses Build application against XCurses (PDCurses)
+
+#no_strip Do not strip the application binary on installation
+#strict Turn on stricter compiler flags for GCC
+#verbose Print commands during compilation
+#############################################################
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX="/usr" \
+CONFDIR="/etc" \
+MANDIR="/usr/man" \
+./configure \
+ no_sndfile \
+ no_modplug \
+ no_scrobbler \
+ no_xspf \
+ alsa
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make
+make install DESTDIR=$PKG
+
+if [ "$SIGNALS" == "YES" ]; then
+ install -m 0755 $CWD/herriectl $PKG/usr/bin/herriectl
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz